#### D.3.1.2 concat

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  concat(A1,A2,..); A1,A2,... matrices

Return:
  matrix, concatenation of A1,A2,.... Number of rows of result matrix is max(nrows(A1),nrows(A2),...)

Example:

    LIB "matrix.lib";
    ring r=0,(x,y,z),ds;
    matrix A[3][3]=1,2,3,x,y,z,x2,y2,z2;
    matrix B[2][2]=1,0,2,0; matrix C[1][4]=4,5,x,y;
    print(A);
    ==> 1, 2, 3,
    ==> x, y, z,
    ==> x2,y2,z2
    print(B);
    ==> 1,0,
    ==> 2,0
    print(C);
    ==> 4,5,x,y
    print(concat(A,B,C));
    ==> 1, 2, 3, 1,0,4,5,x,y,
    ==> x, y, z, 2,0,0,0,0,0,
    ==> x2,y2,z2,0,0,0,0,0,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.